import { MkMap, MpXmlElement, IParseAttrAdapter, IParseContentAdapter, IParseElementAdapter, MpXmlContent, MpPlatform, IMpParseAdapter, IMpParseAttrAdapter, ParseElementAdapterArg } from "@mpkit/types";
export declare abstract class ParseElementAdapterImpl implements IParseElementAdapter {
    attrAdapters: MkMap<IParseAttrAdapter>;
    contentAdapter: IParseContentAdapter;
    constructor(attrAdapters: MkMap<IParseAttrAdapter>, contentAdapter: IParseContentAdapter);
    parse(data: ParseElementAdapterArg): MpXmlElement;
}
export declare class MpParseElementAdapter extends ParseElementAdapterImpl implements IMpParseAdapter {
    mpPlatform: MpPlatform;
    constructor(mpPlatform: MpPlatform, attrAdapters: MkMap<IMpParseAttrAdapter>, contentAdapter: IParseContentAdapter);
}
export declare abstract class ParseContentAdapterImpl implements IParseContentAdapter {
    parse(content: string): MpXmlContent[];
}
export declare class MpParseContentAdapter extends ParseContentAdapterImpl implements IMpParseAdapter {
    mpPlatform: MpPlatform;
    constructor(mpPlatform: MpPlatform);
}
